#!/bin/sh

cd /usr/share/icons/
wget https://github.com/EliverLara/candy-icons/archive/refs/heads/master.zip
unzip master.zip
rm master.zip

cd /usr/share/themes/
wget https://github.com/EliverLara/Sweet/releases/latest/download/Sweet-Dark-v40.tar.xz
tar xf Sweet-Dark-v40.tar.xz
rm Sweet-Dark-v40.tar.xz

mkdir -p /usr/share/fonts/EnvyCodeR
cd /usr/share/fonts/EnvyCodeR/
wget https://github.com/ryanoasis/nerd-fonts/releases/latest/download/EnvyCodeR.zip
unzip EnvyCodeR.zip
rm EnvyCodeR.zip

echo "theme-name=Sweet-Dark-v40" >> /etc/lightdm/lightdm-gtk-greeter.conf
echo "icon-theme-name=candy-icons" >> /etc/lightdm/lightdm-gtk-greeter.conf
