-- deactivating netrw as it conflicts with nvim-tree
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

local lazypath = vim.fn.stdpath 'data' .. '/lazy/lazy.nvim'
if not vim.loop.fs_stat(lazypath) then
	local lazyrepo = 'https://github.com/folke/lazy.nvim.git'
	vim.fn.system{'git', 'clone', '--filter=blob:none', '--branch=stable', lazyrepo, lazypath}
end
vim.opt.rtp:prepend(lazypath)

require("lazy").setup {
	"xiyaowong/transparent.nvim",
	{"willothy/nvim-cokeline", dependencies = {
		"nvim-lua/plenary.nvim",
		"nvim-tree/nvim-web-devicons"
	}, config = true},
	{"nvim-tree/nvim-tree.lua", dependencies = {
		"nvim-tree/nvim-web-devicons"
	}}
}

require("nvim-tree").setup()
